hbase-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From st...@apache.org
Subject svn commit: r1524539 - /hbase/trunk/dev-support/make_rc.sh
Date Wed, 18 Sep 2013 19:30:56 GMT
Author: stack
Date: Wed Sep 18 19:30:56 2013
New Revision: 1524539

URL: http://svn.apache.org/r1524539
Log:
HBASE-9575 Add script to automate much of the rc-making process

Added:
    hbase/trunk/dev-support/make_rc.sh   (with props)

Added: hbase/trunk/dev-support/make_rc.sh
URL: http://svn.apache.org/viewvc/hbase/trunk/dev-support/make_rc.sh?rev=1524539&view=auto
==============================================================================
--- hbase/trunk/dev-support/make_rc.sh (added)
+++ hbase/trunk/dev-support/make_rc.sh Wed Sep 18 19:30:56 2013
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Script that assembles all you need to make an RC.
+# Does build of the tar.gzs which it stashes into a dir above $HBASE_HOME
+# named for the script with a timestamp suffix.
+# Deploys builds to maven.
+#
+# To finish, check what was build.  If good copy to people.apache.org and
+# close the maven repos.  Call a vote. 
+#
+# Presumes that dev-support/generate-hadoopX-poms.sh has already been run.
+# Presumes your settings.xml all set up so can sign artifacts published to mvn, etc.
+
+set -e
+
+devsupport=`dirname "$0"`
+devsupport=`cd "$devsupport">/dev/null; pwd`
+HBASE_HOME=`cd ${devsupport}/.. > /dev/null; pwd`
+
+# Set mvn and mvnopts
+mvn=mvn
+if [ "$MAVEN" != "" ]; then
+  mvn="${MAVEN}"
+fi
+mvnopts="-Xmx3g"
+if [ "$MAVEN_OPTS" != "" ]; then
+  mvnopts="${MAVEN_OPTS}"
+fi
+
+# Make a dir to save tgzs in.
+d=`date -u +"%Y-%m-%dT%H:%M:%SZ"`
+archivedir="${HBASE_HOME}/../`basename $0`.$d"
+echo "Archive dir ${archivedir}"
+mkdir -p "${archivedir}" 
+
+function tgz_mover {
+  mv "${HBASE_HOME}"/hbase-assembly/target/hbase-*.tar.gz "${archivedir}"
+}
+
+function deploy {
+  MAVEN_OPTS="${mvnopts}" ${mvn} -f pom.xml.$1 clean install -DskipTests -Prelease
+  MAVEN_OPTS="${mvnopts}" ${mvn} -f pom.xml.$1 install -DskipTests site assembly:single -Prelease

+  tgz_mover
+  MAVEN_OPTS="${mvnopts}" ${mvn} -f pom.xml.$1 deploy -DskipTests -Papache-release 
+}
+
+# Build src tarball
+MAVEN_OPTS="${mvnopts}" ${mvn} clean install -DskipTests assembly:single -Dassembly.file="${HBASE_HOME}/hbase-assembly/src/main/assembly/src.xml"
-Prelease
+tgz_mover
+
+# Now do the two builds,  one for hadoop1, then hadoop2
+deploy "hadoop1"
+deploy "hadoop2"
+
+echo "DONE"
+echo "Check the content of ${archivedir}.  If good, sign and push to people.apache.org"
+echo "Check the content deployed to maven.  If good, close the repo and record links of temporary
staging repo"

Propchange: hbase/trunk/dev-support/make_rc.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message